#include <bits/stdc++.h>
using namespace std;
	ofstream fo("tamgiac.out");
	long a,b,c,tg=0;
	void kt(long a,long b, long c) {
		if (a+b>c && b+c>a && c+a>b)
		fo<<"YES" << endl;
		else {
			fo<<"NO" << endl;
			tg =1 ;
			return ; }
			return ; 
	} 
	void kq(long a,long b, long c) {
	long s;
	s = sqrt((a+b+c) * (a+b-c) * (b+c-a) * (c+a-b));
fo<< fixed <<setprecision(2) <<s;
return ; }
int main ()
{
	fstream f1;
	f1.open("tanmgiac.inp", ios::in);
	f1 >>a>>b>>c ; 
	kt(a,b,c);
	if(tg==0)
	{kq(a,b,c);}
	return 0;
}
